Sidef::Types::Range::RangeNumber(3)

NAME
Sidef::Types::Range::RangeNumber

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = RangeNumber(...)

INHERITS
Inherits methods from:

       * Sidef::Types::Range::Range
       * Sidef::Object::Object

METHODS

  Π
    RangeNumber.Π()

Returns the

Aliases: prod

  Σ
    RangeNumber.Σ()

Returns the

Aliases: sum

  avg
    RangeNumber.avg()

Returns the

  avg_by
    RangeNumber.avg_by()

Returns the

  bsearch
    RangeNumber.bsearch()

Returns the

  bsearch_ge
    RangeNumber.bsearch_ge()

Returns the

  bsearch_le
    RangeNumber.bsearch_le()

Returns the

  composites
    RangeNumber.composites()

Returns the

  each_almost_prime
    RangeNumber.each_almost_prime()

Returns the

  each_composite
    RangeNumber.each_composite()

Returns the

  each_omega_prime
    RangeNumber.each_omega_prime()

Returns the

  each_powerful
    RangeNumber.each_powerful()

Returns the

  each_prime
    RangeNumber.each_prime()

Returns the

  each_semiprime
    RangeNumber.each_semiprime()

Returns the

  each_squarefree
    RangeNumber.each_squarefree()

Returns the

  each_squarefree_almost_prime
    RangeNumber.each_squarefree_almost_prime()

Returns the

  gcd
    RangeNumber.gcd()

Returns the

  gcd_by
    RangeNumber.gcd_by()

Returns the

  iter
    RangeNumber.iter()

Returns the

  lcm
    RangeNumber.lcm()

Returns the

  lcm_by
    RangeNumber.lcm_by()

Returns the

  new
    RangeNumber.new()

Returns the

Aliases: call

  primes
    RangeNumber.primes()

Returns the

  prod_by
    RangeNumber.prod_by()

Returns the

  semiprimes
    RangeNumber.semiprimes()

Returns the

  squarefree
    RangeNumber.squarefree()

Returns the

  sum_by
    RangeNumber.sum_by()

Returns the

  to_s
    RangeNumber.to_s()

Returns the

Aliases: dump, to_str